Bug 891759 - OSError: [Errno 2] No such file or directory: '//etc/multipath.conf.anacbak'
OSError: [Errno 2] No such file or directory: '//etc/multipath.conf.anacbak'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedNTH abrt_hash:bb5b6b925b0d219...
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2013-01-03 17:10 EST by Steve Tyler
Modified: 2013-01-08 16:32 EST (History)
10 users (show)

See Also:
Fixed In Version: anaconda-18.37.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 16:32:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (18.25 KB, text/plain)
2013-01-03 17:10 EST, Steve Tyler
no flags Details
File: environ (883 bytes, text/plain)
2013-01-03 17:10 EST, Steve Tyler
no flags Details
File: ifcfg.log (1.72 KB, text/plain)
2013-01-03 17:10 EST, Steve Tyler
no flags Details
File: messages (378.72 KB, text/plain)
2013-01-03 17:10 EST, Steve Tyler
no flags Details
File: program.log (309.85 KB, text/plain)
2013-01-03 17:10 EST, Steve Tyler
no flags Details
File: storage.log (602.48 KB, text/plain)
2013-01-03 17:10 EST, Steve Tyler
no flags Details
File: anaconda-tb (1.31 MB, text/plain)
2013-01-03 17:10 EST, Steve Tyler
no flags Details
my traceback: first try hit it (422.41 KB, text/plain)
2013-01-03 19:49 EST, Adam Williamson
no flags Details

  None (edit)
Description Steve Tyler 2013-01-03 17:10:17 EST
Description of problem:
This exception occurs before the installer displays anything.
I reproduced it twice in several trials by repeatedly starting and quitting the installer.
The following was filed automatically by anaconda:
anaconda 18.37.8 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/iutil.py", line 434, in getSubdirSize
    sinfo = os.lstat(curpath)
  File "/usr/lib/python2.7/site-packages/pyanaconda/iutil.py", line 439, in getSubdirSize
    dsize += getSubdirSize(curpath)
  File "/usr/lib/python2.7/site-packages/pyanaconda/iutil.py", line 446, in getDirSize
    return getSubdirSize(dir)/1024
  File "/usr/lib/python2.7/site-packages/pyanaconda/packaging/livepayload.py", line 141, in spaceRequired
    return Size(bytes=iutil.getDirSize("/")*1024)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/lib/space.py", line 50, in check
    needed = self.payload.spaceRequired
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 221, in _handleCompleteness
    if self._checker and not self._checker.check():
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 206, in _updateCompleteness
    self._handleCompleteness(spoke)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 171, in _createBox
    self._updateCompleteness(spoke)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 306, in refresh
    self._createBox()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 121, in run
    self._currentAction.refresh()
  File "/sbin/anaconda", line 991, in <module>
    anaconda._intf.run()
OSError: [Errno 2] No such file or directory: '//etc/multipath.conf.anacbak'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-18-TC4-i686-Live-Desktop. rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.6.10-4.fc18.i686
other involved packages: 
package:        anaconda-18.37.8-1.fc18.i686
packaging.log:  
product:        Fedora
release:        Fedora release 18 (Spherical Cow)
type:           libreport
version:        18
Comment 1 Steve Tyler 2013-01-03 17:10:20 EST
Created attachment 672240 [details]
File: anaconda.log
Comment 2 Steve Tyler 2013-01-03 17:10:22 EST
Created attachment 672241 [details]
File: environ
Comment 3 Steve Tyler 2013-01-03 17:10:23 EST
Created attachment 672242 [details]
File: ifcfg.log
Comment 4 Steve Tyler 2013-01-03 17:10:26 EST
Created attachment 672243 [details]
File: messages
Comment 5 Steve Tyler 2013-01-03 17:10:33 EST
Created attachment 672244 [details]
File: program.log
Comment 6 Steve Tyler 2013-01-03 17:10:36 EST
Created attachment 672245 [details]
File: storage.log
Comment 7 Steve Tyler 2013-01-03 17:10:41 EST
Created attachment 672246 [details]
File: anaconda-tb
Comment 8 Steve Tyler 2013-01-03 17:14:56 EST
Tested with:
$ qemu-kvm -m 2048 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Final/TC4/Fedora-18-TC4-i686-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 9 Steve Tyler 2013-01-03 17:27:42 EST
The target disk was previously installed with the x86_64 installer and the default storage configuration.[1]

[snippet from attached anaconda.log]
...
17:03:34,658 DEBUG anaconda: isys.py:mount()- going to mount /dev/mapper/fedora-root on /mnt/sysimage as ext4 with options defaults,ro
17:03:34,769 ERR anaconda: Error running arch: Exec format error
17:03:34,820 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
...

[1] Command-line was:
$ qemu-kvm -m 2048 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Final/TC4/Fedora-18-TC4-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 10 Steve Tyler 2013-01-03 17:46:13 EST
Proposing as a blocker:

8. The installer must be able to create and install to any workable partition layout using any file system offered in a default installer configuration, LVM, software, hardware or BIOS RAID, or combination of the above 

Fedora 18 Final Release Criteria
https://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria
Comment 11 Adam Williamson 2013-01-03 19:32:23 EST
"I reproduced it twice in several trials by repeatedly starting and quitting the installer."

That's really not supported, anaconda has to poke disks when it starts up and by the time you do that several times, weird stuff (tm) can happen.

Failures produced by repeatedly quitting and restarting the installer aren't blockers, IMHO. You can always reboot and try again.
Comment 12 Adam Williamson 2013-01-03 19:47:35 EST
oh, hey, I hit this the first time I tried to run liveinst from TC4 in my normal test VM. no restarts required. so that does look more worrying.
Comment 13 Adam Williamson 2013-01-03 19:49:08 EST
Created attachment 672272 [details]
my traceback: first try hit it
Comment 14 David Lehman 2013-01-03 21:50:36 EST
Race condition:
1. space check thread calls os.listdir (returned list includes /etc/multipath.conf.bak) and begins to iterate over returned list
2. storage init thread removes /etc/multipath.conf.bak
3. space check thread tries to access /etc/multipath.conf.bak when it reaches that point in the returned list from step 1
Comment 15 Adam Williamson 2013-01-04 00:21:16 EST
is this new, or are we just getting unlucky?
Comment 16 David Lehman 2013-01-04 10:51:11 EST
(In reply to comment #15)
> is this new, or are we just getting unlucky?

Just getting unlucky AFAIK. This is something that can only happen on live media.
Comment 17 Kevin Fenzi 2013-01-04 13:21:53 EST
+1 NTH from me.
Comment 18 Tim Flink 2013-01-04 13:24:43 EST
+1 NTH
Comment 19 Adam Williamson 2013-01-04 14:06:04 EST
So I think the Welcome screen bug probably exposed this one by changing the timings of installer startup. But bcl and clumens think fixing it is still the right thing to do, and you could plausibly hit it some other way even with the Welcome screen fixed. So, +1 NTH. AcceptedNTH with this and the above votes.
Comment 20 Fedora Update System 2013-01-04 19:26:51 EST
anaconda-18.37.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.10-1.fc18
Comment 21 Adam Williamson 2013-01-04 21:56:59 EST
couldn't trigger this after a dozen or so attempts with a custom 18.37.10 live image.
Comment 22 Raj Upadhyaya 2013-01-05 08:14:54 EST
I was just beginning the install of Fedora 18 from the Fedora 18 Live CD Image.

Package: anaconda-18.37.8-1.fc18.i686
OS Release: Fedora release 18
Comment 23 Fedora Update System 2013-01-07 20:19:35 EST
anaconda-18.37.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.11-1.fc18
Comment 24 Fedora Update System 2013-01-08 16:32:54 EST
anaconda-18.37.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.